<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
   xmlns="http://www.w3.org/1999/xhtml"
   xmlns:h="http://www.w3.org/1999/xhtml"
   xmlns:m="http://www.w3.org/1998/Math/MathML"
>

  <xsl:output method="xml"/>

<xsl:template match="tests">
<html>
<head><title><xsl:apply-templates select="title/text()"/></title>
<link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
<xsl:apply-templates select="title|h:body"/>
<ol>
<xsl:apply-templates select="test"/>
</ol>
</body>
</html>
</xsl:template>

<xsl:template match="doc">
<html>
<head><title><xsl:apply-templates select="title/text()"/></title>
<link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
<xsl:apply-templates/>
</body>
</html>
</xsl:template>

<xsl:template match="h:body">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="title">
<p class="title"><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="test">
<li><p><a href="{@href}"><xsl:apply-templates/></a></p></li>
</xsl:template>

<xsl:template match="test/label">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="h:*|m:*|@*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>
